% Compute a query
function [res,nchecked] = com_query (M,X,Q, mk,params)


nQ = size (Q, 2);

sM= score_normalize(M.com,Q);
[~, midx] = sort (sM, 'descend');

res = struct;

nchecked=0;
% Alternative implementation
for q = 1:nQ    
    switch params.selector
        
        case 'thresh';
            ids= [M.stored(sM(:,q)>mk).ids];
            
        case 'fix'
            mids = midx(1:mk,q);
            ids = [M.stored(mids).ids];
            
    end
    
    sX2=Q(:,q)'*X(:,ids);
    [dis, idx] = sort (sX2, 'descend');
    
    
    nchecked = nchecked + numel(idx);
    res(q).ids = ids(idx);
    res(q).dis = dis;
end


